rpm 5.2.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
record::header Struct Reference

`#include <file/src/tar.h>`

## Data Fields
char | name [100]
char | mode [8]
char | uid [8]
char | gid [8]
char | size [12]
char | mtime [12]
char | chksum [8]
char | linkflag
char | linkname [100]
char | magic [8]
char | uname [32]
char | gname [32]
char | devmajor [8]
char | devminor [8]

## Detailed Description

Definition at line 63 of file tar.h.

## Field Documentation

char record::header::chksum[8]

Definition at line 70 of file tar.h.

char record::header::devmajor[8]

Definition at line 76 of file tar.h.

char record::header::devminor[8]

Definition at line 77 of file tar.h.

char record::header::gid[8]

Definition at line 67 of file tar.h.

char record::header::gname[32]

Definition at line 75 of file tar.h.

char record::header::linkflag

Definition at line 71 of file tar.h.

char record::header::linkname[100]

Definition at line 72 of file tar.h.

char record::header::magic[8]

Definition at line 73 of file tar.h.

char record::header::mode[8]

Definition at line 65 of file tar.h.

char record::header::mtime[12]

Definition at line 69 of file tar.h.

char record::header::name[100]

Definition at line 64 of file tar.h.

char record::header::size[12]

Definition at line 68 of file tar.h.

char record::header::uid[8]

Definition at line 66 of file tar.h.

char record::header::uname[32]

Definition at line 74 of file tar.h.

The documentation for this struct was generated from the following file:

- file/src/tar.h